### Method

# Fwupd Release has_checksum

since: 1.2.6

#### Declaration [src]

    gboolean
    fwupd_release_has_checksum (
      FwupdRelease* self,
      const gchar* checksum
    )

#### Description [src]

Finds out if the release has the update container checksum.

Available since: 1.2.6

#### Parameters

`checksum`

  Type: `const gchar*`

  The update checksum.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the release matches.